diff -r 0aaea094c963 mplayer/Makefile.options
--- a/mplayer/Makefile.options	Mon Sep 03 18:57:23 2012 +0200
+++ b/mplayer/Makefile.options	Mon Sep 03 19:48:33 2012 +0200
@@ -51,17 +51,25 @@
 .endif
 .endif #WITH_DEBUG
 
+#Supported architectures for clang
+.if ${ARCH} == "amd64"
+MPLAYER_CLANG_SUPPORTED_ARCH=	yes
+.endif
+
 .if !defined(WITHOUT_RTCPU)
 CONFIGURE_ARGS+=--enable-runtime-cpudetection
 .endif
 
-.if ${OSVERSION} >= 900033
+.if ${OSVERSION} >= 900033 \
+	&& exists(/usr/bin/clang) \
+	&& defined(MPLAYER_CLANG_SUPPORTED_ARCH)
 WITH_BASE_CLANG=yes
 .endif
 
 .if defined(WITH_BASE_CLANG)
 CC=		clang
 CXX=		clang++
+CPP=		clang-cpp
 .else
 .if defined(WITH_OTCHAIN)
 USE_GCC?=	4.6+